2009-02-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	* README:
	made 0.4.3 release

	* INSTALL:
	* README:
	updated docs to reflect status quo

2009-02-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	* build_mingw32:
	reflect changes in MinGW crosscompiling environment

	* plugins/zynaddsubfx/src/Effects/Reverb.C:
	* plugins/zynaddsubfx/src/Params/PresetsStore.C:
	* plugins/zynaddsubfx/src/Params/Presets.C:
	* plugins/zynaddsubfx/src/Params/Presets.h:
	* plugins/zynaddsubfx/src/DSP/SVFilter.C:
	* plugins/zynaddsubfx/src/DSP/FFTwrapper.C:
	* plugins/zynaddsubfx/src/DSP/AnalogFilter.C:
	* plugins/zynaddsubfx/src/ChangeLog:
	* plugins/zynaddsubfx/src/Misc/XMLwrapper.C:
	* plugins/zynaddsubfx/src/Misc/Config.C:
	* plugins/zynaddsubfx/src/Misc/Part.C:
	* plugins/zynaddsubfx/src/Misc/XMLwrapper.h:
	* plugins/zynaddsubfx/src/Misc/Microtonal.C:
	* plugins/zynaddsubfx/src/Misc/Config.h:
	* plugins/zynaddsubfx/src/Misc/Bank.C:
	* plugins/zynaddsubfx/src/Misc/Master.C:
	* plugins/zynaddsubfx/src/Synth/OscilGen.C:
	* plugins/zynaddsubfx/src/Synth/PADnote.C:
	* plugins/zynaddsubfx/src/main.C:
	* plugins/zynaddsubfx/src/UI/EffUI.cc:
	* plugins/zynaddsubfx/src/UI/FilterUI.fl:
	* plugins/zynaddsubfx/src/UI/MasterUI.fl:
	* plugins/zynaddsubfx/src/UI/WidgetPDial.fl:
	* plugins/zynaddsubfx/src/UI/FilterUI.cc:
	* plugins/zynaddsubfx/src/UI/MasterUI.h:
	* plugins/zynaddsubfx/src/UI/WidgetPDial.cc:
	* plugins/zynaddsubfx/src/UI/WidgetPDial.h:
	* plugins/zynaddsubfx/src/UI/EffUI.fl:
	follow recent changes in ZynAddSubFX CVS:
	- Made several functions accept 'constant char' over 'char' to prevent
	  warnings
	- Changed several 'delete' operations to 'delete []' based upon the
	  usage of 'new []'
	- Gave dials tooltips showing their value when they are being
	  moved
	- Gave dials the ability to have normal tooltips when the mouse hovers
	  over them
	- Created tooltips for the effects knobs
	- Standardized the code, so it could compile with pedantic without
	  errors

2008-12-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	* README:
	made 0.4.1 release

2008-12-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	do not crash when loading incomplete settings (fixes #2276787)

2008-10-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	- made 0.4.0 release
	- made "dist" target work properly

	* configure:
	* build_mingw32:
	* TODO:
	added missing standard files

2008-10-27	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* config.h.in:
	* plugins/zynaddsubfx/fltk/FL/Fl_Menu_Item.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Widget.H:
	* plugins/zynaddsubfx/fltk/src/fl_open_uri.cxx:
	* plugins/zynaddsubfx/CMakeLists.txt:
	* CMakeLists.txt:
	various fixes for successfully building ZynAddSubFX for win64

2008-10-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/stk/voices/flute/flute_instrument.cpp:
	* plugins/stk/voices/resonate/resonate_instrument.cpp:
	* plugins/stk/voices/wurley/wurley_instrument.cpp:
	* plugins/stk/voices/percflute/percflute_instrument.cpp:
	* plugins/stk/voices/rhodey/rhodey_instrument.cpp:
	* plugins/stk/voices/tubebell/tubebell_instrument.cpp:
	* plugins/stk/voices/bowed/bowed_instrument.cpp:
	* plugins/stk/voices/clarinet/clarinet_instrument.cpp:
	* plugins/stk/voices/moog/moog_instrument.cpp:
	* plugins/stk/voices/metal/metal_instrument.cpp:
	* plugins/stk/voices/b3/b3_instrument.cpp:
	* plugins/stk/voices/blow_hole/blow_hole_instrument.cpp:
	* plugins/stk/voices/brass/brass_instrument.cpp:
	* plugins/stk/voices/fmvoices/fmvoices_instrument.cpp:
	* plugins/stk/voices/bandedwg/bandedwg_instrument.cpp:
	* plugins/stk/voices/blow_bottle/blow_bottle_instrument.cpp:
	* plugins/singerbot/singerbot.cpp:
	* plugins/live_tool/live_tool.cpp:
	changed occurences of renamed macro STRINGIFY_PLUGIN_NAME to STRINGIFY

	* AUTHORS:
	added item for BlueScene theme

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	fixed saving ZynAddSubFX settings in win32-version

2008-10-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/zynaddsubfx.h:
	sync with current API

2008-09-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/CMakeLists.txt:
	strip remote_zynaddsubfx binary

	* plugins/zynaddsubfx/remote_zynaddsubfx.cpp:
	applied recent changes to plugin-API

2008-09-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/src/UI/MasterUI.fl:
	* plugins/zynaddsubfx/src/UI/MasterUI.h:
	* plugins/zynaddsubfx/src/UI/filechooser.h:
	* plugins/zynaddsubfx/remote_zynaddsubfx.cpp:
	- open file-dialogs per default in system-wide ZynAddSubFX presets
	  directory (closes #2011256)
	- use "plastic" theme instead of the horrible default one

	* data/presets/CMakeLists.txt:
	* data/CMakeLists.txt:
	properly install ZynAddSubFX presets

	* data/presets/ZynAddSubFX/Makefile.am:
	* data/presets/Makefile.am:
	* data/Makefile.am:
	removed obsolete files

2008-09-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/src/Effects/DynamicFilter.h:
	* plugins/zynaddsubfx/src/Effects/Effect.h:
	* plugins/zynaddsubfx/src/Effects/EffectLFO.h:
	* plugins/zynaddsubfx/src/Effects/EffectMgr.C:
	* plugins/zynaddsubfx/src/Effects/Distorsion.h:
	* plugins/zynaddsubfx/src/Effects/Chorus.C:
	* plugins/zynaddsubfx/src/Effects/EQ.C:
	* plugins/zynaddsubfx/src/Effects/EffectMgr.h:
	* plugins/zynaddsubfx/src/Effects/Chorus.h:
	* plugins/zynaddsubfx/src/Effects/EQ.h:
	* plugins/zynaddsubfx/src/Effects/Echo.C:
	* plugins/zynaddsubfx/src/Effects/Phaser.C:
	* plugins/zynaddsubfx/src/Effects/Echo.h:
	* plugins/zynaddsubfx/src/Effects/Reverb.C:
	* plugins/zynaddsubfx/src/Effects/Phaser.h:
	* plugins/zynaddsubfx/src/Effects/Alienwah.C:
	* plugins/zynaddsubfx/src/Effects/DynamicFilter.C:
	* plugins/zynaddsubfx/src/Effects/Reverb.h:
	* plugins/zynaddsubfx/src/Effects/Effect.C:
	* plugins/zynaddsubfx/src/Effects/EffectLFO.C:
	* plugins/zynaddsubfx/src/Effects/Distorsion.C:
	* plugins/zynaddsubfx/src/Effects/Alienwah.h:
	* plugins/zynaddsubfx/src/Params/FilterParams.h:
	* plugins/zynaddsubfx/src/Params/ADnoteParameters.C:
	* plugins/zynaddsubfx/src/Params/PresetsStore.C:
	* plugins/zynaddsubfx/src/Params/SUBnoteParameters.C:
	* plugins/zynaddsubfx/src/Params/ADnoteParameters.h:
	* plugins/zynaddsubfx/src/Params/PresetsStore.h:
	* plugins/zynaddsubfx/src/Params/SUBnoteParameters.h:
	* plugins/zynaddsubfx/src/Params/PADnoteParameters.C:
	* plugins/zynaddsubfx/src/Params/EnvelopeParams.C:
	* plugins/zynaddsubfx/src/Params/Controller.C:
	* plugins/zynaddsubfx/src/Params/PADnoteParameters.h:
	* plugins/zynaddsubfx/src/Params/LFOParams.C:
	* plugins/zynaddsubfx/src/Params/Presets.C:
	* plugins/zynaddsubfx/src/Params/EnvelopeParams.h:
	* plugins/zynaddsubfx/src/Params/Controller.h:
	* plugins/zynaddsubfx/src/Params/LFOParams.h:
	* plugins/zynaddsubfx/src/Params/FilterParams.C:
	* plugins/zynaddsubfx/src/Params/Presets.h:
	* plugins/zynaddsubfx/src/FAQ.txt:
	* plugins/zynaddsubfx/src/DSP/SVFilter.C:
	* plugins/zynaddsubfx/src/DSP/FFTwrapper.C:
	* plugins/zynaddsubfx/src/DSP/FormantFilter.h:
	* plugins/zynaddsubfx/src/DSP/SVFilter.h:
	* plugins/zynaddsubfx/src/DSP/Filter.C:
	* plugins/zynaddsubfx/src/DSP/FFTwrapper.h:
	* plugins/zynaddsubfx/src/DSP/AnalogFilter.C:
	* plugins/zynaddsubfx/src/DSP/Filter_.h:
	* plugins/zynaddsubfx/src/DSP/Filter.h:
	* plugins/zynaddsubfx/src/DSP/FormantFilter.C:
	* plugins/zynaddsubfx/src/DSP/AnalogFilter.h:
	* plugins/zynaddsubfx/src/ChangeLog:
	* plugins/zynaddsubfx/src/Seq/Sequencer.h:
	* plugins/zynaddsubfx/src/Seq/MIDIFile.C:
	* plugins/zynaddsubfx/src/Seq/MIDIFile.h:
	* plugins/zynaddsubfx/src/Seq/MIDIEvents.C:
	* plugins/zynaddsubfx/src/Seq/Sequencer.C:
	* plugins/zynaddsubfx/src/Seq/MIDIEvents.h:
	* plugins/zynaddsubfx/src/Misc/Master.h:
	* plugins/zynaddsubfx/src/Misc/XMLwrapper.C:
	* plugins/zynaddsubfx/src/Misc/Dump.C:
	* plugins/zynaddsubfx/src/Misc/Config.C:
	* plugins/zynaddsubfx/src/Misc/Part.C:
	* plugins/zynaddsubfx/src/Misc/XMLwrapper.h:
	* plugins/zynaddsubfx/src/Misc/Microtonal.C:
	* plugins/zynaddsubfx/src/Misc/Config.h:
	* plugins/zynaddsubfx/src/Misc/Dump.h:
	* plugins/zynaddsubfx/src/Misc/Part.h:
	* plugins/zynaddsubfx/src/Misc/Bank.C:
	* plugins/zynaddsubfx/src/Misc/Microtonal.h:
	* plugins/zynaddsubfx/src/Misc/Util.C:
	* plugins/zynaddsubfx/src/Misc/Bank.h:
	* plugins/zynaddsubfx/src/Misc/Util.h:
	* plugins/zynaddsubfx/src/Misc/Master.C:
	* plugins/zynaddsubfx/src/Input/MidiIn.h:
	* plugins/zynaddsubfx/src/Input/OSSMidiIn.C:
	* plugins/zynaddsubfx/src/Input/ALSAMidiIn.h:
	* plugins/zynaddsubfx/src/Input/OSSMidiIn.h:
	* plugins/zynaddsubfx/src/Input/NULLMidiIn.C:
	* plugins/zynaddsubfx/src/Input/WINMidiIn.C:
	* plugins/zynaddsubfx/src/Input/NULLMidiIn.h:
	* plugins/zynaddsubfx/src/Input/MidiIn.C:
	* plugins/zynaddsubfx/src/Input/ALSAMidiIn.C:
	* plugins/zynaddsubfx/src/Input/WINMidiIn.h:
	* plugins/zynaddsubfx/src/Output/WAVaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/PAaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/WAVaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/Recorder.C:
	* plugins/zynaddsubfx/src/Output/DSSIaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/OSSaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/PAaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/DSSIaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/Recorder.h:
	* plugins/zynaddsubfx/src/Output/JACKaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/OSSaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/VSTaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/JACK_RTaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/JACKaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/VSTaudiooutput.h:
	* plugins/zynaddsubfx/src/Synth/PADnote.h:
	* plugins/zynaddsubfx/src/Synth/ADnote.h:
	* plugins/zynaddsubfx/src/Synth/SUBnote.C:
	* plugins/zynaddsubfx/src/Synth/LFO.C:
	* plugins/zynaddsubfx/src/Synth/Envelope.h:
	* plugins/zynaddsubfx/src/Synth/Resonance.h:
	* plugins/zynaddsubfx/src/Synth/OscilGen.C:
	* plugins/zynaddsubfx/src/Synth/SUBnote.h:
	* plugins/zynaddsubfx/src/Synth/LFO.h:
	* plugins/zynaddsubfx/src/Synth/OscilGen.h:
	* plugins/zynaddsubfx/src/Synth/ADnote.C:
	* plugins/zynaddsubfx/src/Synth/PADnote.C:
	* plugins/zynaddsubfx/src/Synth/Envelope.C:
	* plugins/zynaddsubfx/src/Synth/Resonance.C:
	* plugins/zynaddsubfx/src/main.C:
	* plugins/zynaddsubfx/src/COPYING:
	* plugins/zynaddsubfx/src/globals.h:
	* plugins/zynaddsubfx/src/README.txt:
	* plugins/zynaddsubfx/src/UI/EffUI.cc:
	* plugins/zynaddsubfx/src/UI/FilterUI.fl:
	* plugins/zynaddsubfx/src/UI/PresetsUI.fl:
	* plugins/zynaddsubfx/src/UI/OscilGenUI.cc:
	* plugins/zynaddsubfx/src/UI/OscilGenUI.h:
	* plugins/zynaddsubfx/src/UI/PADnoteUI.fl:
	* plugins/zynaddsubfx/src/UI/PartUI.cc:
	* plugins/zynaddsubfx/src/UI/MasterUI.fl:
	* plugins/zynaddsubfx/src/UI/MicrotonalUI.cc:
	* plugins/zynaddsubfx/src/UI/MicrotonalUI.h:
	* plugins/zynaddsubfx/src/UI/ADnoteUI.cc:
	* plugins/zynaddsubfx/src/UI/WidgetPDial.fl:
	* plugins/zynaddsubfx/src/UI/BankUI.cc:
	* plugins/zynaddsubfx/src/UI/BankUI.h:
	* plugins/zynaddsubfx/src/UI/SUBnoteUI.cc:
	* plugins/zynaddsubfx/src/UI/LFOUI.cc:
	* plugins/zynaddsubfx/src/UI/SUBnoteUI.h:
	* plugins/zynaddsubfx/src/UI/ConfigUI.fl:
	* plugins/zynaddsubfx/src/UI/FilterUI.cc:
	* plugins/zynaddsubfx/src/UI/PresetsUI.cc:
	* plugins/zynaddsubfx/src/UI/FilterUI.h:
	* plugins/zynaddsubfx/src/UI/PresetsUI.h:
	* plugins/zynaddsubfx/src/UI/EnvelopeUI.fl:
	* plugins/zynaddsubfx/src/UI/ResonanceUI.fl:
	* plugins/zynaddsubfx/src/UI/SeqUI.h:
	* plugins/zynaddsubfx/src/UI/PADnoteUI.cc:
	* plugins/zynaddsubfx/src/UI/MasterUI.cc:
	* plugins/zynaddsubfx/src/UI/MasterUI.h:
	* plugins/zynaddsubfx/src/UI/WidgetPDial.cc:
	* plugins/zynaddsubfx/src/UI/VirKeyboard.fl:
	* plugins/zynaddsubfx/src/UI/WidgetPDial.h:
	* plugins/zynaddsubfx/src/UI/EffUI.h:
	* plugins/zynaddsubfx/src/UI/SeqUI.fl:
	* plugins/zynaddsubfx/src/UI/ConfigUI.cc:
	* plugins/zynaddsubfx/src/UI/ConfigUI.h:
	* plugins/zynaddsubfx/src/UI/PartUI.h:
	* plugins/zynaddsubfx/src/UI/EffUI.fl:
	* plugins/zynaddsubfx/src/UI/ADnoteUI.h:
	* plugins/zynaddsubfx/src/UI/EnvelopeUI.cc:
	* plugins/zynaddsubfx/src/UI/ResonanceUI.cc:
	* plugins/zynaddsubfx/src/UI/EnvelopeUI.h:
	* plugins/zynaddsubfx/src/UI/OscilGenUI.fl:
	* plugins/zynaddsubfx/src/UI/ResonanceUI.h:
	* plugins/zynaddsubfx/src/UI/PartUI.fl:
	* plugins/zynaddsubfx/src/UI/LFOUI.h:
	* plugins/zynaddsubfx/src/UI/MicrotonalUI.fl:
	* plugins/zynaddsubfx/src/UI/VirKeyboard.cc:
	* plugins/zynaddsubfx/src/UI/VirKeyboard.h:
	* plugins/zynaddsubfx/src/UI/ADnoteUI.fl:
	* plugins/zynaddsubfx/src/UI/BankUI.fl:
	* plugins/zynaddsubfx/src/UI/SeqUI.cc:
	* plugins/zynaddsubfx/src/UI/SUBnoteUI.fl:
	* plugins/zynaddsubfx/src/UI/LFOUI.fl:
	* plugins/zynaddsubfx/src/UI/PADnoteUI.h:
	* plugins/zynaddsubfx/CMakeLists.txt:
	integrated latest CVS version of ZynAddSubFX

2008-09-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/zynaddsubfx.h:
	applied recent changes to plugin-API

2008-09-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/remote_zynaddsubfx.cpp:
	minor changes to properly build with latest version of liblmms

2008-09-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/remote_zynaddsubfx.cpp:
	win32: properly initialize statically linked libpthread - makes
	ZynAddSubFX finally work with LMMS-w32

	* plugins/zynaddsubfx/CMakeLists.txt:
	* CMakeLists.txt:
	added libfftw3f detection

2008-08-31	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/CMakeLists.txt:
	* plugins/zynaddsubfx/remote_zynaddsubfx.cpp:
	made ZynAddSubFX work with shmFifo-based remotePluginClient

2008-08-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/fltk/src/fl_font_xft.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Choice.cxx:
	* plugins/zynaddsubfx/fltk/fltk-config.in:
	applied Ubuntu patches

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/zynaddsubfx.h:
	* plugins/zynaddsubfx/remote_zynaddsubfx.cpp:
	* plugins/zynaddsubfx/CMakeLists.txt:
	rewrote ZynAddSubFX plugin to use new remotePlugin framework and thus
	do the actual work in a separate process (closes #2011257, #2011295)

2008-08-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/CMakeLists.txt:
	made ZynAddSubFX plugin build for win32

	* plugins/zynaddsubfx/fltk/fltk.list.in:
	* plugins/zynaddsubfx/fltk/CMake/CheckFunctionWithHeaderExists.cmake:
	* plugins/zynaddsubfx/fltk/CMake/PlatformTests.cxx:
	* plugins/zynaddsubfx/fltk/CMake/FLTKConfig.cmake.in:
	* plugins/zynaddsubfx/fltk/CMake/FLTKUse.cmake:
	* plugins/zynaddsubfx/fltk/FL/Fl_Single_Window.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Input_Choice.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Text_Display.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Bitmap.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Value_Slider.H:
	* plugins/zynaddsubfx/fltk/FL/mac.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Radio_Light_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Check_Browser.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Nice_Slider.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Select_Browser.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Browser.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Hor_Value_Slider.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_File_Icon.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Simple_Counter.H:
	* plugins/zynaddsubfx/fltk/FL/Enumerations.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Hor_Nice_Slider.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Tabs.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Tooltip.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Positioner.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Group.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Valuator.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Input.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Roller.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Radio_Round_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Output.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Wizard.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Chart.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_File_Chooser.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Double_Window.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Light_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Round_Clock.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Toggle_Light_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Menu_.H:
	* plugins/zynaddsubfx/fltk/FL/dirent.h:
	* plugins/zynaddsubfx/fltk/FL/Fl_Object.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Overlay_Window.H:
	* plugins/zynaddsubfx/fltk/FL/math.h:
	* plugins/zynaddsubfx/fltk/FL/Fl_Toggle_Button.H:
	* plugins/zynaddsubfx/fltk/FL/fl_show_colormap.H:
	* plugins/zynaddsubfx/fltk/FL/fl_ask.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Spinner.H:
	* plugins/zynaddsubfx/fltk/FL/Fl.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Line_Dial.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Timer.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Adjuster.H:
	* plugins/zynaddsubfx/fltk/FL/names.h:
	* plugins/zynaddsubfx/fltk/FL/Fl_Round_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Multiline_Output.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Toggle_Round_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Float_Input.H:
	* plugins/zynaddsubfx/fltk/FL/x.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Fill_Slider.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Box.H:
	* plugins/zynaddsubfx/fltk/FL/mac.r:
	* plugins/zynaddsubfx/fltk/FL/Fl_Multi_Label.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Clock.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Multi_Browser.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_File_Input.H:
	* plugins/zynaddsubfx/fltk/FL/fl_show_input.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Hor_Fill_Slider.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Menu.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_FormsPixmap.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_XPM_Image.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Window.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Help_Dialog.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Check_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Int_Input.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Repeat_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Text_Buffer.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Counter.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Fill_Dial.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Browser_.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Slider.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Image.H:
	* plugins/zynaddsubfx/fltk/FL/fl_message.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Sys_Menu_Bar.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Radio_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Hor_Slider.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Text_Editor.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Menu_Window.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Value_Input.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Value_Output.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Tile.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Input_.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Pixmap.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Scroll.H:
	* plugins/zynaddsubfx/fltk/FL/filename.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Progress.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Shared_Image.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Dial.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Return_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Pack.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Multiline_Input.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Free.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Export.H:
	* plugins/zynaddsubfx/fltk/FL/win32.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Help_View.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_File_Browser.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Menu_Item.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_FormsBitmap.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Scrollbar.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Widget.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Menu_Bar.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_XBM_Image.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Hold_Browser.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Choice.H:
	* plugins/zynaddsubfx/fltk/FL/fl_draw.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Menu_Button.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Color_Chooser.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Preferences.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Tiled_Image.H:
	* plugins/zynaddsubfx/fltk/FL/Fl_Secret_Input.H:
	* plugins/zynaddsubfx/fltk/configh.cmake.in:
	* plugins/zynaddsubfx/fltk/src/fl_color_mac.cxx:
	* plugins/zynaddsubfx/fltk/src/filename_expand.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_draw_image.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Tiled_Image.cxx:
	* plugins/zynaddsubfx/fltk/src/slowarrow.h:
	* plugins/zynaddsubfx/fltk/src/fl_set_fonts.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_abort.cxx:
	* plugins/zynaddsubfx/fltk/src/numericsort.c:
	* plugins/zynaddsubfx/fltk/src/fl_arci.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_draw_image_mac.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Browser.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_curve.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_gtk.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Sys_Menu_Bar.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_File_Icon.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Tabs.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Text_Editor.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Font.H:
	* plugins/zynaddsubfx/fltk/src/fl_encoding_latin1.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Input_.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Scroll.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Roller.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Input.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Gl_Choice.H:
	* plugins/zynaddsubfx/fltk/src/Fl_File_Chooser.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_encoding_mac_roman.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Menu_.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_visual.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_compose.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_display.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Shared_Image.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_get_key_win32.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_arg.cxx:
	* plugins/zynaddsubfx/fltk/src/filename_match.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_file_dir.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_vertex.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Pack.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Help_View.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_File_Browser.cxx:
	* plugins/zynaddsubfx/fltk/src/scandir.c:
	* plugins/zynaddsubfx/fltk/src/fl_font_mac.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Window_hotspot.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_get_key.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_font_xft.cxx:
	* plugins/zynaddsubfx/fltk/src/vsnprintf.c:
	* plugins/zynaddsubfx/fltk/src/Fl_XBM_Image.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Menu_Bar.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Window_fullscreen.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_boxtype.cxx:
	* plugins/zynaddsubfx/fltk/src/filename_list.cxx:
	* plugins/zynaddsubfx/fltk/src/filename_absolute.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_plastic.cxx:
	* plugins/zynaddsubfx/fltk/src/mediumarrow.h:
	* plugins/zynaddsubfx/fltk/src/Fl_Color_Chooser.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_get_system_colors.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_arc.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Window.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_line_style.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_get_key_mac.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Single_Window.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Repeat_Button.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Bitmap.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_cursor.cxx:
	* plugins/zynaddsubfx/fltk/src/screen_xywh.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Text_Buffer.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Value_Slider.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_labeltype.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_scroll_area.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_lock.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Menu_Window.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_XColor.H:
	* plugins/zynaddsubfx/fltk/src/Fl_Value_Input.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Tile.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Light_Button.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Help_Dialog.fl:
	* plugins/zynaddsubfx/fltk/src/Fl_Overlay_Window.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_rounded_box.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_grab.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Button.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Menu_add.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_read_image.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_color.cxx:
	* plugins/zynaddsubfx/fltk/src/filename_ext.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_open_uri.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_overlay.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Scrollbar.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Menu_global.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Box.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_dnd_x.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_read_image_mac.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_draw.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_File_Input.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Menu_Button.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_File_Chooser.fl:
	* plugins/zynaddsubfx/fltk/src/Fl_mac.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Preferences.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Menu.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_overlay_visual.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_dnd.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_XPM_Image.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Check_Button.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Text_Display.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_shortcut.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Image.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Browser_.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Browser_load.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Slider.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_diamond_box.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_set_fonts_mac.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_set_fonts_xft.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_dnd_mac.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Window_iconize.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Positioner.cxx:
	* plugins/zynaddsubfx/fltk/src/filename_setext.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Value_Output.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Valuator.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Pixmap.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_call_main.c:
	* plugins/zynaddsubfx/fltk/src/fl_color_win32.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Chart.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Double_Window.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_win32.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Progress.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_cmap.h:
	* plugins/zynaddsubfx/fltk/src/fl_font.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_x.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Return_Button.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_draw_pixmap.cxx:
	* plugins/zynaddsubfx/fltk/src/fastarrow.h:
	* plugins/zynaddsubfx/fltk/src/tile.xpm:
	* plugins/zynaddsubfx/fltk/src/fl_set_font.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Adjuster.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_File_Chooser2.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_set_fonts_win32.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Multi_Label.cxx:
	* plugins/zynaddsubfx/fltk/src/filename_isdir.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Choice.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_engraved_label.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Clock.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_set_fonts_x.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_shadow_box.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_rect.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_own_colormap.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_round_box.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_oval_box.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Counter.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Check_Browser.cxx:
	* plugins/zynaddsubfx/fltk/src/flstring.c:
	* plugins/zynaddsubfx/fltk/src/fl_font_win32.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Tooltip.cxx:
	* plugins/zynaddsubfx/fltk/src/CMakeLists.txt:
	* plugins/zynaddsubfx/fltk/src/flstring.h:
	* plugins/zynaddsubfx/fltk/src/Fl_Group.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_font_x.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_read_image_win32.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Wizard.cxx:
	* plugins/zynaddsubfx/fltk/src/scandir_win32.c:
	* plugins/zynaddsubfx/fltk/src/Fl_Dial.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_show_colormap.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_ask.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_draw_image_win32.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Round_Button.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_Widget.cxx:
	* plugins/zynaddsubfx/fltk/src/Fl_add_idle.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_dnd_win32.cxx:
	* plugins/zynaddsubfx/fltk/src/fl_symbols.cxx:
	* plugins/zynaddsubfx/fltk/COPYING:
	* plugins/zynaddsubfx/fltk/fltk-config.in:
	* plugins/zynaddsubfx/fltk/CHANGES:
	* plugins/zynaddsubfx/fltk/README.mac:
	* plugins/zynaddsubfx/fltk/README:
	* plugins/zynaddsubfx/fltk/CREDITS:
	* plugins/zynaddsubfx/fltk/CMakeLists.txt:
	* plugins/zynaddsubfx/fltk/fltk.spec.in:
	* plugins/zynaddsubfx/fltk/README.win32:
	* plugins/zynaddsubfx/src/Makefile.inc:
	* plugins/zynaddsubfx/src/UI/Makefile:
	* plugins/zynaddsubfx/src/Makefile:
	* plugins/zynaddsubfx/CMakeLists.txt:
	integrated minimal version of FLTK and statically link ZynAddSubFX
	against it

	* plugins/zynaddsubfx/src/DSP/FFTwrapper.C:
	* plugins/zynaddsubfx/src/DSP/FFTwrapper.h:
	- dropped FFTW2 support
	- use FFTW3F rather than FFTW3 for using the same library as LMMS

	* plugins/zynaddsubfx/src/Misc/XMLwrapper.h:
	* plugins/zynaddsubfx/CMakeLists.txt:
	* plugins/zynaddsubfx/mxml/mxml-node.c:
	* plugins/zynaddsubfx/mxml/mxml-set.c:
	* plugins/zynaddsubfx/mxml/README:
	* plugins/zynaddsubfx/mxml/mxml-search.c:
	* plugins/zynaddsubfx/mxml/mxml-string.c:
	* plugins/zynaddsubfx/mxml/mxml-index.c:
	* plugins/zynaddsubfx/mxml/mxml.h:
	* plugins/zynaddsubfx/mxml/mxml-attr.c:
	* plugins/zynaddsubfx/mxml/mxml-private.c:
	* plugins/zynaddsubfx/mxml/mxml-config.h:
	* plugins/zynaddsubfx/mxml/mxml-entity.c:
	* plugins/zynaddsubfx/mxml/CHANGES:
	* plugins/zynaddsubfx/mxml/COPYING:
	* plugins/zynaddsubfx/mxml/mxml-file.c:
	* plugins/zynaddsubfx/mxml/mxml-private.h:
	integrated minimal version of MiniXML

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/src/Misc/Bank.C:
	* plugins/zynaddsubfx/CMakeLists.txt:
	* CMakeLists.txt:
	improved ZynAddSuBFX compilation and fixed warnings

2008-08-25	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* config.h.in:
	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/Makefile.am:
	* plugins/zynaddsubfx/CMakeLists.txt:
	* plugins/Makefile.am:
	* plugins/singerbot/singerbot.cpp:
	* plugins/CMakeLists.txt:
	* Makefile.svn:
	* configure.in:
	* Makefile.am:
	* CMakeLists.txt:
	initial support for building LMMS-extras with CMake

2008-06-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/zynaddsubfx.h:
	handle samplrate-changes

	* configure.in:
	integrated STK-voices plugins

2008-06-09	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/zynaddsubfx.h:
	- added support for loading preset from within filebrowser
	- debugged UI-threading and added button for showing/hiding UI

	* configure.in:
	* data/Makefile.am:
	* data/presets/Makefile.am:
	* data/presets/zynaddsubfx/Arpeggios/0007-Arpeggio7.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0008-Arpeggio8.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0010-Arpeggio10.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0009-Arpeggio9.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0033-Sequence1.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0011-Arpeggio11.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0034-Sequence2.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0006-Aporggio6.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0068-Glass:
	* data/presets/zynaddsubfx/Arpeggios/0065-Hyper:
	* data/presets/zynaddsubfx/Arpeggios/0040-Soft:
	* data/presets/zynaddsubfx/Arpeggios/0001-Arpeggio1.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0002-Arpeggio2.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0066-Hyper:
	* data/presets/zynaddsubfx/Arpeggios/0041-Soft:
	* data/presets/zynaddsubfx/Arpeggios/0003-Arpeggio3.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0042-Soft:
	* data/presets/zynaddsubfx/Arpeggios/0043-Soft:
	* data/presets/zynaddsubfx/Arpeggios/0004-Arpeggio4.xiz:
	* data/presets/zynaddsubfx/Arpeggios/0036-Echoed:
	* data/presets/zynaddsubfx/Arpeggios/0037-Echo:
	* data/presets/zynaddsubfx/Arpeggios/0039-Soft:
	* data/presets/zynaddsubfx/Arpeggios/0005-Arpeggio5.xiz:
	* data/presets/zynaddsubfx/Rhodes/0012-Ice:
	* data/presets/zynaddsubfx/Rhodes/0013-Ice:
	* data/presets/zynaddsubfx/Rhodes/0044-Echo:
	* data/presets/zynaddsubfx/Rhodes/0065-Steel:
	* data/presets/zynaddsubfx/Rhodes/0014-Ice:
	* data/presets/zynaddsubfx/Rhodes/0033-FM:
	* data/presets/zynaddsubfx/Rhodes/0010-Synth:
	* data/presets/zynaddsubfx/Rhodes/0034-FM:
	* data/presets/zynaddsubfx/Rhodes/0001-DX:
	* data/presets/zynaddsubfx/Rhodes/0035-FM:
	* data/presets/zynaddsubfx/Rhodes/0008-Synth:
	* data/presets/zynaddsubfx/Rhodes/0036-FM:
	* data/presets/zynaddsubfx/Rhodes/0002-DX:
	* data/presets/zynaddsubfx/Rhodes/0009-Synth:
	* data/presets/zynaddsubfx/Rhodes/0037-FM:
	* data/presets/zynaddsubfx/Rhodes/0003-DX:
	* data/presets/zynaddsubfx/Rhodes/0004-DX:
	* data/presets/zynaddsubfx/Rhodes/0038-FM:
	* data/presets/zynaddsubfx/Rhodes/0042-Hard:
	* data/presets/zynaddsubfx/Rhodes/0005-DX:
	* data/presets/zynaddsubfx/Rhodes/0043-Hard:
	* data/presets/zynaddsubfx/Rhodes/0007-Dig:
	* data/presets/zynaddsubfx/Rhodes/0045-A:
	* data/presets/zynaddsubfx/Rhodes/0041-Soft:
	* data/presets/zynaddsubfx/ReedAndWind/0067-Fat:
	* data/presets/zynaddsubfx/ReedAndWind/0001-Flute:
	* data/presets/zynaddsubfx/ReedAndWind/0002-Flute:
	* data/presets/zynaddsubfx/ReedAndWind/0003-Flute:
	* data/presets/zynaddsubfx/ReedAndWind/0033-Reed:
	* data/presets/zynaddsubfx/ReedAndWind/0065-Fat:
	* data/presets/zynaddsubfx/ReedAndWind/0005-FM:
	* data/presets/zynaddsubfx/ReedAndWind/0006-Clarinet.xiz:
	* data/presets/zynaddsubfx/ReedAndWind/0034-Reed:
	* data/presets/zynaddsubfx/ReedAndWind/0066-Fat:
	* data/presets/zynaddsubfx/ReedAndWind/0035-Reed:
	* data/presets/zynaddsubfx/ReedAndWind/0036-Reed:
	* data/presets/zynaddsubfx/ReedAndWind/0037-Reed:
	* data/presets/zynaddsubfx/ReedAndWind/0038-Reed:
	* data/presets/zynaddsubfx/ReedAndWind/0039-Reed:
	* data/presets/zynaddsubfx/ReedAndWind/0007-Breathy1.xiz:
	* data/presets/zynaddsubfx/Dual/0002-Layered2.xiz:
	* data/presets/zynaddsubfx/Dual/0035-Rhodes:
	* data/presets/zynaddsubfx/Dual/0005-Organ:
	* data/presets/zynaddsubfx/Dual/0008-Organ:
	* data/presets/zynaddsubfx/Dual/0036-Rhodes:
	* data/presets/zynaddsubfx/Dual/0065-Dream:
	* data/presets/zynaddsubfx/Dual/0033-Rhodes:
	* data/presets/zynaddsubfx/Dual/0001-Layered1.xiz:
	* data/presets/zynaddsubfx/Dual/0034-Rhodes:
	* data/presets/zynaddsubfx/Dual/0007-Organ:
	* data/presets/zynaddsubfx/Plucked/0001-Plucked:
	* data/presets/zynaddsubfx/Plucked/0002-Plucked:
	* data/presets/zynaddsubfx/Plucked/0003-Plucked:
	* data/presets/zynaddsubfx/Plucked/0004-Plucked:
	* data/presets/zynaddsubfx/Plucked/0036-Plucked:
	* data/presets/zynaddsubfx/Plucked/0005-Plucked:
	* data/presets/zynaddsubfx/Plucked/0006-Plucked:
	* data/presets/zynaddsubfx/Plucked/0033-Plucked:
	* data/presets/zynaddsubfx/Plucked/0034-Plucked:
	* data/presets/zynaddsubfx/Pads/0003-Analog:
	* data/presets/zynaddsubfx/Pads/0002-sin2x:
	* data/presets/zynaddsubfx/Pads/0008-Resonance:
	* data/presets/zynaddsubfx/Pads/0005-Square:
	* data/presets/zynaddsubfx/Pads/0065-Soft:
	* data/presets/zynaddsubfx/Pads/0004-Analog:
	* data/presets/zynaddsubfx/Pads/0006-Square:
	* data/presets/zynaddsubfx/Pads/0009-Resonance:
	* data/presets/zynaddsubfx/Pads/0033-Synth:
	* data/presets/zynaddsubfx/Pads/0066-Flanged:
	* data/presets/zynaddsubfx/Pads/0034-Synth:
	* data/presets/zynaddsubfx/Pads/0001-Sine:
	* data/presets/zynaddsubfx/Pads/0035-Synth:
	* data/presets/zynaddsubfx/Pads/0036-Synth:
	* data/presets/zynaddsubfx/Bass/0006-Analogue:
	* data/presets/zynaddsubfx/Bass/0001-Bass:
	* data/presets/zynaddsubfx/Bass/0002-Bass:
	* data/presets/zynaddsubfx/Bass/0033-Wah:
	* data/presets/zynaddsubfx/Bass/0003-Bass:
	* data/presets/zynaddsubfx/Bass/0004-Bass:
	* data/presets/zynaddsubfx/Bass/0005-Bass:
	* data/presets/zynaddsubfx/Bass/0035-FM:
	* data/presets/zynaddsubfx/Bass/0036-FM:
	* data/presets/zynaddsubfx/Strings/0036-Fast:
	* data/presets/zynaddsubfx/Strings/0038-Fat:
	* data/presets/zynaddsubfx/Strings/0016-Sweep:
	* data/presets/zynaddsubfx/Strings/0047-Vibratto:
	* data/presets/zynaddsubfx/Strings/0011-Strings:
	* data/presets/zynaddsubfx/Strings/0018-Sweep:
	* data/presets/zynaddsubfx/Strings/0013-Strings:
	* data/presets/zynaddsubfx/Strings/0066-Dual:
	* data/presets/zynaddsubfx/Strings/0046-Echoed:
	* data/presets/zynaddsubfx/Strings/0048-Wah1.xiz:
	* data/presets/zynaddsubfx/Strings/0035-Octave:
	* data/presets/zynaddsubfx/Strings/0041-Saw:
	* data/presets/zynaddsubfx/Strings/0033-Strings1.xiz:
	* data/presets/zynaddsubfx/Strings/0042-Saw:
	* data/presets/zynaddsubfx/Strings/0043-Saw:
	* data/presets/zynaddsubfx/Strings/0001-Saw:
	* data/presets/zynaddsubfx/Strings/0044-Saw:
	* data/presets/zynaddsubfx/Strings/0002-Saw:
	* data/presets/zynaddsubfx/Strings/0003-Saw:
	* data/presets/zynaddsubfx/Strings/0017-Sweep:
	* data/presets/zynaddsubfx/Strings/0004-Saw:
	* data/presets/zynaddsubfx/Strings/0005-Saw:
	* data/presets/zynaddsubfx/Strings/0020-Sweep:
	* data/presets/zynaddsubfx/Strings/0006-Saw:
	* data/presets/zynaddsubfx/Strings/0007-Saw:
	* data/presets/zynaddsubfx/Strings/0034-Dark:
	* data/presets/zynaddsubfx/Strings/0012-Strings:
	* data/presets/zynaddsubfx/Strings/0008-Saw:
	* data/presets/zynaddsubfx/Strings/0019-Sweep:
	* data/presets/zynaddsubfx/Strings/0051-Synth:
	* data/presets/zynaddsubfx/Strings/0050-Synth:
	* data/presets/zynaddsubfx/Strings/0065-Simple:
	* data/presets/zynaddsubfx/Strings/0067-Dual:
	* data/presets/zynaddsubfx/Strings/0045-Soft:
	* data/presets/zynaddsubfx/Drums/0001-Drums:
	* data/presets/zynaddsubfx/Misc/0033-Trash:
	* data/presets/zynaddsubfx/Misc/0010-SuperSaw:
	* data/presets/zynaddsubfx/Misc/0034-Trash:
	* data/presets/zynaddsubfx/Misc/0006-SuperSaw:
	* data/presets/zynaddsubfx/Misc/0001-Memories.xiz:
	* data/presets/zynaddsubfx/Misc/0007-SuperSaw:
	* data/presets/zynaddsubfx/Misc/0035-Trash:
	* data/presets/zynaddsubfx/Misc/0008-SuperSaw:
	* data/presets/zynaddsubfx/Misc/0002-Bells:
	* data/presets/zynaddsubfx/Misc/0003-Bells:
	* data/presets/zynaddsubfx/Misc/0009-SuperSaw:
	* data/presets/zynaddsubfx/Misc/0004-Bells:
	* data/presets/zynaddsubfx/Guitar/0005-Dist:
	* data/presets/zynaddsubfx/Guitar/0065-Clean:
	* data/presets/zynaddsubfx/Guitar/0001-Dist:
	* data/presets/zynaddsubfx/Guitar/0002-Dist:
	* data/presets/zynaddsubfx/Guitar/0033-Trash:
	* data/presets/zynaddsubfx/Guitar/0003-Dist:
	* data/presets/zynaddsubfx/Guitar/0034-Trash:
	* data/presets/zynaddsubfx/Guitar/0004-Dist:
	* data/presets/zynaddsubfx/Guitar/0035-Short.xiz:
	* data/presets/zynaddsubfx/SynthPiano/0012-Drop2.xiz:
	* data/presets/zynaddsubfx/SynthPiano/0009-Termollo3.xiz:
	* data/presets/zynaddsubfx/SynthPiano/0071-Synth:
	* data/presets/zynaddsubfx/SynthPiano/0066-Synth:
	* data/presets/zynaddsubfx/SynthPiano/0069-Synth:
	* data/presets/zynaddsubfx/SynthPiano/0067-Synth:
	* data/presets/zynaddsubfx/SynthPiano/0040-BinaryPiano2.xiz:
	* data/presets/zynaddsubfx/SynthPiano/0039-BinaryPiano1.xiz:
	* data/presets/zynaddsubfx/SynthPiano/0004-Fantasy:
	* data/presets/zynaddsubfx/SynthPiano/0033-Analog:
	* data/presets/zynaddsubfx/SynthPiano/0034-Analog:
	* data/presets/zynaddsubfx/SynthPiano/0005-Synth:
	* data/presets/zynaddsubfx/SynthPiano/0035-Analog:
	* data/presets/zynaddsubfx/SynthPiano/0037-FM:
	* data/presets/zynaddsubfx/SynthPiano/0001-Soft:
	* data/presets/zynaddsubfx/SynthPiano/0006-Synth:
	* data/presets/zynaddsubfx/SynthPiano/0007-Termollo1.xiz:
	* data/presets/zynaddsubfx/SynthPiano/0002-Soft:
	* data/presets/zynaddsubfx/SynthPiano/0011-Drop1.xiz:
	* data/presets/zynaddsubfx/SynthPiano/0070-Synth:
	* data/presets/zynaddsubfx/SynthPiano/0008-Termollo2.xiz:
	* data/presets/zynaddsubfx/SynthPiano/0065-Synth:
	* data/presets/zynaddsubfx/SynthPiano/0068-Synth:
	* data/presets/zynaddsubfx/Noises/0037-Metal:
	* data/presets/zynaddsubfx/Noises/0038-Metal:
	* data/presets/zynaddsubfx/Noises/0003-Noise1.xiz:
	* data/presets/zynaddsubfx/Noises/0033-Metal:
	* data/presets/zynaddsubfx/Noises/0002-Ioioioioioi.xiz:
	* data/presets/zynaddsubfx/Noises/0004-Noise2.xiz:
	* data/presets/zynaddsubfx/Noises/0001-Synth:
	* data/presets/zynaddsubfx/Noises/0034-Metal:
	* data/presets/zynaddsubfx/Noises/0035-Metal:
	* data/presets/zynaddsubfx/Noises/0006-Wind.xiz:
	* data/presets/zynaddsubfx/Noises/0065-Short:
	* data/presets/zynaddsubfx/Splited/0033-Choir:
	* data/presets/zynaddsubfx/Splited/0001-Strings:
	* data/presets/zynaddsubfx/Splited/0003-Strings:
	* data/presets/zynaddsubfx/Splited/0002-Strings:
	* data/presets/zynaddsubfx/Fantasy/0043-Rhodes:
	* data/presets/zynaddsubfx/Fantasy/0041-Fade:
	* data/presets/zynaddsubfx/Fantasy/0065-Long:
	* data/presets/zynaddsubfx/Fantasy/0066-Long:
	* data/presets/zynaddsubfx/Fantasy/0015-Strange:
	* data/presets/zynaddsubfx/Fantasy/0011-Space:
	* data/presets/zynaddsubfx/Fantasy/0004-Weird:
	* data/presets/zynaddsubfx/Fantasy/0010-Space:
	* data/presets/zynaddsubfx/Fantasy/0012-Space:
	* data/presets/zynaddsubfx/Fantasy/0033-ImpossibleDream1.xiz:
	* data/presets/zynaddsubfx/Fantasy/0034-ImpossibleDream2.xiz:
	* data/presets/zynaddsubfx/Fantasy/0001-Emptyness1.xiz:
	* data/presets/zynaddsubfx/Fantasy/0035-ImpossibleDream3.xiz:
	* data/presets/zynaddsubfx/Fantasy/0040-Delayed:
	* data/presets/zynaddsubfx/Fantasy/0008-Space:
	* data/presets/zynaddsubfx/Fantasy/0002-Emptyness2.xiz:
	* data/presets/zynaddsubfx/Fantasy/0036-ImpossibleDream4.xiz:
	* data/presets/zynaddsubfx/Fantasy/0009-Space:
	* data/presets/zynaddsubfx/Fantasy/0037-ImpossibleDream5.xiz:
	* data/presets/zynaddsubfx/Fantasy/0006-Space:
	* data/presets/zynaddsubfx/Fantasy/0003-Space:
	* data/presets/zynaddsubfx/Fantasy/0014-Glass:
	* data/presets/zynaddsubfx/Fantasy/0042-Rhodes:
	* data/presets/zynaddsubfx/Synth/0039-Multi-phase:
	* data/presets/zynaddsubfx/Synth/0037-Resonance:
	* data/presets/zynaddsubfx/Synth/0007-Analog:
	* data/presets/zynaddsubfx/Synth/0065-Computer:
	* data/presets/zynaddsubfx/Synth/0033-Phased:
	* data/presets/zynaddsubfx/Synth/0008-Analog:
	* data/presets/zynaddsubfx/Synth/0004-Pulse:
	* data/presets/zynaddsubfx/Synth/0034-Phased:
	* data/presets/zynaddsubfx/Synth/0001-Soft:
	* data/presets/zynaddsubfx/Synth/0005-Pulse:
	* data/presets/zynaddsubfx/Synth/0035-Phased:
	* data/presets/zynaddsubfx/Synth/0002-Soft:
	* data/presets/zynaddsubfx/Synth/0067-Detuned:
	* data/presets/zynaddsubfx/Synth/0097-FM:
	* data/presets/zynaddsubfx/Organ/0098-Accordion:
	* data/presets/zynaddsubfx/Organ/0099-Synth:
	* data/presets/zynaddsubfx/Organ/0037-Church:
	* data/presets/zynaddsubfx/Organ/0039-Church:
	* data/presets/zynaddsubfx/Organ/0069-Soft:
	* data/presets/zynaddsubfx/Organ/0066-Nice:
	* data/presets/zynaddsubfx/Organ/0041-Church:
	* data/presets/zynaddsubfx/Organ/0071-Synth:
	* data/presets/zynaddsubfx/Organ/0033-Cathedral:
	* data/presets/zynaddsubfx/Organ/0068-Square:
	* data/presets/zynaddsubfx/Organ/0035-Cathedral:
	* data/presets/zynaddsubfx/Organ/0011-Organ:
	* data/presets/zynaddsubfx/Organ/0001-Organ:
	* data/presets/zynaddsubfx/Organ/0002-Organ:
	* data/presets/zynaddsubfx/Organ/0070-Soft:
	* data/presets/zynaddsubfx/Organ/0067-Sub_Organ.xiz:
	* data/presets/zynaddsubfx/Organ/0003-Organ:
	* data/presets/zynaddsubfx/Organ/0004-Organ:
	* data/presets/zynaddsubfx/Organ/0005-Organ:
	* data/presets/zynaddsubfx/Organ/0038-Church:
	* data/presets/zynaddsubfx/Organ/0065-Nice:
	* data/presets/zynaddsubfx/Organ/0006-Organ:
	* data/presets/zynaddsubfx/Organ/0007-Organ:
	* data/presets/zynaddsubfx/Organ/0072-Fantasy:
	* data/presets/zynaddsubfx/Organ/0008-Organ:
	* data/presets/zynaddsubfx/Organ/0034-Cathedral:
	* data/presets/zynaddsubfx/Organ/0009-Organ:
	* data/presets/zynaddsubfx/Organ/0010-Organ:
	* data/presets/zynaddsubfx/Organ/0100-Synth:
	* data/presets/zynaddsubfx/Organ/0101-Accordion:
	* data/presets/zynaddsubfx/Organ/0097-Accordion:
	* data/presets/zynaddsubfx/Makefile.am:
	* data/presets/zynaddsubfx/Brass/0036-Analog:
	* data/presets/zynaddsubfx/Brass/0006-Synth:
	* data/presets/zynaddsubfx/Brass/0007-Synth:
	* data/presets/zynaddsubfx/Brass/0001-FM:
	* data/presets/zynaddsubfx/Brass/0065-Simple:
	* data/presets/zynaddsubfx/Brass/0003-Synth:
	* data/presets/zynaddsubfx/Brass/0004-Synth:
	* data/presets/zynaddsubfx/Brass/0008-Brass:
	* data/presets/zynaddsubfx/Brass/0011-Brazz:
	* data/presets/zynaddsubfx/Brass/0012-Brazz:
	* data/presets/zynaddsubfx/Brass/0066-Fat:
	* data/presets/zynaddsubfx/Brass/0009-Wah:
	* data/presets/zynaddsubfx/Brass/0033-Analog:
	* data/presets/zynaddsubfx/Brass/0010-Solo:
	* data/presets/zynaddsubfx/Brass/0034-Analog:
	* data/presets/zynaddsubfx/Brass/0035-Analog:
	* data/presets/zynaddsubfx/Brass/0005-Synth:
	* data/presets/zynaddsubfx/ChoirAndVoice/0065-Vocal:
	* data/presets/zynaddsubfx/ChoirAndVoice/0070-Vocal:
	* data/presets/zynaddsubfx/ChoirAndVoice/0001-AHH:
	* data/presets/zynaddsubfx/ChoirAndVoice/0036-Eooooo.xiz:
	* data/presets/zynaddsubfx/ChoirAndVoice/0066-Vocal:
	* data/presets/zynaddsubfx/ChoirAndVoice/0037-Voiced:
	* data/presets/zynaddsubfx/ChoirAndVoice/0002-AHH:
	* data/presets/zynaddsubfx/ChoirAndVoice/0071-Vocal:
	* data/presets/zynaddsubfx/ChoirAndVoice/0033-Choir.xiz:
	* data/presets/zynaddsubfx/ChoirAndVoice/0067-Vocal:
	* data/presets/zynaddsubfx/ChoirAndVoice/0068-Vocal:
	* data/presets/zynaddsubfx/ChoirAndVoice/0035-Wah:
	* data/presets/zynaddsubfx/ChoirAndVoice/0003-EHH:
	* data/presets/zynaddsubfx/ChoirAndVoice/0069-Vocal:
	* data/presets/zynaddsubfx/ChoirAndVoice/0005-Choir:
	* data/presets/zynaddsubfx/ChoirAndVoice/0004-Voice:
	* data/presets/zynaddsubfx/ChoirAndVoice/0039-Ohh:
	* data/presets/zynaddsubfx/ChoirAndVoice/0010-Choir:
	* data/presets/zynaddsubfx/ChoirAndVoice/0006-Choir:
	* data/presets/zynaddsubfx/ChoirAndVoice/0007-Choir:
	* data/presets/zynaddsubfx/ChoirAndVoice/0008-Choir:
	* data/presets/zynaddsubfx/ChoirAndVoice/0034-Slow:
	* data/presets/zynaddsubfx/ChoirAndVoice/0009-Choir:
	added ZynAddSubFX default-banks

	* plugins/zynaddsubfx/src/Input/MidiIn.h:
	* plugins/zynaddsubfx/src/Input/OSSMidiIn.C:
	* plugins/zynaddsubfx/src/Input/ALSAMidiIn.h:
	* plugins/zynaddsubfx/src/Input/OSSMidiIn.h:
	* plugins/zynaddsubfx/src/Input/NULLMidiIn.C:
	* plugins/zynaddsubfx/src/Input/WINMidiIn.C:
	* plugins/zynaddsubfx/src/Input/NULLMidiIn.h:
	* plugins/zynaddsubfx/src/Input/MidiIn.C:
	* plugins/zynaddsubfx/src/Input/ALSAMidiIn.C:
	* plugins/zynaddsubfx/src/Input/WINMidiIn.h:
	* plugins/zynaddsubfx/src/Input/Makefile:
	* plugins/zynaddsubfx/src/Effects/DynamicFilter.h:
	* plugins/zynaddsubfx/src/Effects/Effect.h:
	* plugins/zynaddsubfx/src/Effects/EffectLFO.h:
	* plugins/zynaddsubfx/src/Effects/EffectMgr.C:
	* plugins/zynaddsubfx/src/Effects/Distorsion.h:
	* plugins/zynaddsubfx/src/Effects/Chorus.C:
	* plugins/zynaddsubfx/src/Effects/EQ.C:
	* plugins/zynaddsubfx/src/Effects/EffectMgr.h:
	* plugins/zynaddsubfx/src/Effects/Chorus.h:
	* plugins/zynaddsubfx/src/Effects/EQ.h:
	* plugins/zynaddsubfx/src/Effects/Echo.C:
	* plugins/zynaddsubfx/src/Effects/Phaser.C:
	* plugins/zynaddsubfx/src/Effects/Echo.h:
	* plugins/zynaddsubfx/src/Effects/Reverb.C:
	* plugins/zynaddsubfx/src/Effects/Phaser.h:
	* plugins/zynaddsubfx/src/Effects/Alienwah.C:
	* plugins/zynaddsubfx/src/Effects/DynamicFilter.C:
	* plugins/zynaddsubfx/src/Effects/Reverb.h:
	* plugins/zynaddsubfx/src/Effects/Effect.C:
	* plugins/zynaddsubfx/src/Effects/Makefile:
	* plugins/zynaddsubfx/src/Effects/EffectLFO.C:
	* plugins/zynaddsubfx/src/Effects/Distorsion.C:
	* plugins/zynaddsubfx/src/Effects/Alienwah.h:
	* plugins/zynaddsubfx/src/Output/VSTaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/JACKaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/JACK_RTaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/PAaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/VSTaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/DSSIaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/Recorder.C:
	* plugins/zynaddsubfx/src/Output/OSSaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/PAaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/Recorder.h:
	* plugins/zynaddsubfx/src/Output/DSSIaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/JACKaudiooutput.C:
	* plugins/zynaddsubfx/src/Output/OSSaudiooutput.h:
	* plugins/zynaddsubfx/src/Output/Makefile:
	* plugins/zynaddsubfx/src/Params/FilterParams.h:
	* plugins/zynaddsubfx/src/Params/ADnoteParameters.C:
	* plugins/zynaddsubfx/src/Params/PresetsStore.C:
	* plugins/zynaddsubfx/src/Params/SUBnoteParameters.C:
	* plugins/zynaddsubfx/src/Params/ADnoteParameters.h:
	* plugins/zynaddsubfx/src/Params/PresetsStore.h:
	* plugins/zynaddsubfx/src/Params/SUBnoteParameters.h:
	* plugins/zynaddsubfx/src/Params/PADnoteParameters.C:
	* plugins/zynaddsubfx/src/Params/EnvelopeParams.C:
	* plugins/zynaddsubfx/src/Params/Controller.C:
	* plugins/zynaddsubfx/src/Params/PADnoteParameters.h:
	* plugins/zynaddsubfx/src/Params/LFOParams.C:
	* plugins/zynaddsubfx/src/Params/Presets.C:
	* plugins/zynaddsubfx/src/Params/EnvelopeParams.h:
	* plugins/zynaddsubfx/src/Params/Controller.h:
	* plugins/zynaddsubfx/src/Params/LFOParams.h:
	* plugins/zynaddsubfx/src/Params/FilterParams.C:
	* plugins/zynaddsubfx/src/Params/Presets.h:
	* plugins/zynaddsubfx/src/Params/Makefile:
	* plugins/zynaddsubfx/src/Makefile.inc:
	* plugins/zynaddsubfx/src/Synth/PADnote.h:
	* plugins/zynaddsubfx/src/Synth/OscilGen.C:
	* plugins/zynaddsubfx/src/Synth/OscilGen.h:
	* plugins/zynaddsubfx/src/Synth/ADnote.C:
	* plugins/zynaddsubfx/src/Synth/Envelope.C:
	* plugins/zynaddsubfx/src/Synth/Resonance.C:
	* plugins/zynaddsubfx/src/Synth/ADnote.h:
	* plugins/zynaddsubfx/src/Synth/SUBnote.C:
	* plugins/zynaddsubfx/src/Synth/LFO.C:
	* plugins/zynaddsubfx/src/Synth/Envelope.h:
	* plugins/zynaddsubfx/src/Synth/Resonance.h:
	* plugins/zynaddsubfx/src/Synth/SUBnote.h:
	* plugins/zynaddsubfx/src/Synth/LFO.h:
	* plugins/zynaddsubfx/src/Synth/PADnote.C:
	* plugins/zynaddsubfx/src/Synth/Makefile:
	* plugins/zynaddsubfx/src/main.C:
	* plugins/zynaddsubfx/src/DSP/SVFilter.C:
	* plugins/zynaddsubfx/src/DSP/FFTwrapper.C:
	* plugins/zynaddsubfx/src/DSP/FormantFilter.h:
	* plugins/zynaddsubfx/src/DSP/SVFilter.h:
	* plugins/zynaddsubfx/src/DSP/Filter.C:
	* plugins/zynaddsubfx/src/DSP/FFTwrapper.h:
	* plugins/zynaddsubfx/src/DSP/AnalogFilter.C:
	* plugins/zynaddsubfx/src/DSP/Filter_.h:
	* plugins/zynaddsubfx/src/DSP/Filter.h:
	* plugins/zynaddsubfx/src/DSP/FormantFilter.C:
	* plugins/zynaddsubfx/src/DSP/Makefile:
	* plugins/zynaddsubfx/src/DSP/AnalogFilter.h:
	* plugins/zynaddsubfx/src/Seq/Sequencer.h:
	* plugins/zynaddsubfx/src/Seq/MIDIFile.C:
	* plugins/zynaddsubfx/src/Seq/MIDIFile.h:
	* plugins/zynaddsubfx/src/Seq/MIDIEvents.C:
	* plugins/zynaddsubfx/src/Seq/Sequencer.C:
	* plugins/zynaddsubfx/src/Seq/MIDIEvents.h:
	* plugins/zynaddsubfx/src/Seq/Makefile:
	* plugins/zynaddsubfx/src/globals.h:
	* plugins/zynaddsubfx/src/Misc/Master.h:
	* plugins/zynaddsubfx/src/Misc/XMLwrapper.C:
	* plugins/zynaddsubfx/src/Misc/Dump.C:
	* plugins/zynaddsubfx/src/Misc/Config.C:
	* plugins/zynaddsubfx/src/Misc/Part.C:
	* plugins/zynaddsubfx/src/Misc/XMLwrapper.h:
	* plugins/zynaddsubfx/src/Misc/Microtonal.C:
	* plugins/zynaddsubfx/src/Misc/Config.h:
	* plugins/zynaddsubfx/src/Misc/Dump.h:
	* plugins/zynaddsubfx/src/Misc/Part.h:
	* plugins/zynaddsubfx/src/Misc/Bank.C:
	* plugins/zynaddsubfx/src/Misc/Microtonal.h:
	* plugins/zynaddsubfx/src/Misc/Util.C:
	* plugins/zynaddsubfx/src/Misc/Bank.h:
	* plugins/zynaddsubfx/src/Misc/Util.h:
	* plugins/zynaddsubfx/src/Misc/Master.C:
	* plugins/zynaddsubfx/src/Misc/Makefile:
	* plugins/zynaddsubfx/src/UI/VirKeyboard.fl:
	* plugins/zynaddsubfx/src/UI/FilterUI.fl:
	* plugins/zynaddsubfx/src/UI/PresetsUI.fl:
	* plugins/zynaddsubfx/src/UI/SeqUI.fl:
	* plugins/zynaddsubfx/src/UI/PADnoteUI.fl:
	* plugins/zynaddsubfx/src/UI/MasterUI.fl:
	* plugins/zynaddsubfx/src/UI/WidgetPDial.fl:
	* plugins/zynaddsubfx/src/UI/EffUI.fl:
	* plugins/zynaddsubfx/src/UI/OscilGenUI.fl:
	* plugins/zynaddsubfx/src/UI/ConfigUI.fl:
	* plugins/zynaddsubfx/src/UI/PartUI.fl:
	* plugins/zynaddsubfx/src/UI/MicrotonalUI.fl:
	* plugins/zynaddsubfx/src/UI/ADnoteUI.fl:
	* plugins/zynaddsubfx/src/UI/BankUI.fl:
	* plugins/zynaddsubfx/src/UI/EnvelopeUI.fl:
	* plugins/zynaddsubfx/src/UI/ResonanceUI.fl:
	* plugins/zynaddsubfx/src/UI/SUBnoteUI.fl:
	* plugins/zynaddsubfx/src/UI/Makefile:
	* plugins/zynaddsubfx/src/UI/LFOUI.fl:
	* plugins/zynaddsubfx/src/Makefile:
	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/logo.png:
	* plugins/zynaddsubfx/zynaddsubfx.h:
	* plugins/zynaddsubfx/Makefile.am:
	* plugins/zynaddsubfx/artwork.png:
	* plugins/Makefile.am:
	* configure.in:
	* Makefile.am:
	initial revision of embedded ZynAddSubFX plugin

2008-06-08	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* acinclude.m4:
	* configure.in:
	* Makefile.am:
	* Makefile.svn:
	* AUTHORS:
	* INSTALL:
	* ChangeLog:
	* COPYING:
	* README:
	* buildtools/Makefile.am:
	* buildtools/bin2res.cpp:
	* data/Makefile.am:
	* plugins/Makefile.am:
	initial revision

